Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTRangeBasedForStatement

All Superinterfaces:
  `IASTAttributeOwner`, `IASTImplicitDestructorNameOwner`, `IASTImplicitNameOwner`, `IASTNode`, `IASTStatement`

public interface ICPPASTRangeBasedForStatement extends IASTStatement, IASTImplicitNameOwner, IASTImplicitDestructorNameOwner
Represents a range-based 'for' loop.

Since:
  5.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`BODY`
`static final ASTNodeProperty`
`DECLARATION`
`static final ASTNodeProperty`
`INITIALIZER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitNameOwner

`IMPLICIT_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTStatement

`EMPTY_STATEMENT_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPASTRangeBasedForStatement`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTRangeBasedForStatement`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`IASTStatement`
`getBody()`
Returns the statement of this for-loop.
`IASTDeclaration`
`getDeclaration()`
Returns the for-range-declaration
`IASTInitializerClause`
`getInitializerClause()`
Returns the for-range-initializer.
`IScope`
`getScope()`
Returns the scope defined by this for-loop.
`void`
`setBody(IASTStatement statement)`
Not allowed on frozen AST.
`void`
`setDeclaration(IASTDeclaration decl)`
Not allowed on frozen AST.
`void`
`setInitializerClause(IASTInitializerClause statement)`
Not allowed on frozen AST.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`getImplicitDestructorNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitNameOwner

`getImplicitNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### DECLARATION

static final ASTNodeProperty DECLARATION

### INITIALIZER

static final ASTNodeProperty INITIALIZER

### BODY

static final ASTNodeProperty BODY

## Method Details

### getDeclaration

IASTDeclaration getDeclaration()
Returns the for-range-declaration

### getInitializerClause

IASTInitializerClause getInitializerClause()
Returns the for-range-initializer.

### getBody

IASTStatement getBody()
Returns the statement of this for-loop.

### getScope

IScope getScope()
Returns the scope defined by this for-loop.

### copy

ICPPASTRangeBasedForStatement copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`

### copy

ICPPASTRangeBasedForStatement copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.

### setDeclaration

void setDeclaration(IASTDeclaration decl)
Not allowed on frozen AST.

### setInitializerClause

void setInitializerClause(IASTInitializerClause statement)
Not allowed on frozen AST.

### setBody

void setBody(IASTStatement statement)
Not allowed on frozen AST.